Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Class AbstractLockManager

    java.lang.Object
      |
      +--kodo.runtime.AbstractLockManager

All Implemented Interfaces:
  com.solarmetric.util.Closeable, LockManager

Direct Known Subclasses:
  NoLockManager, PessimisticLockManager, SingleJVMExclusiveLockManager

public abstract class AbstractLockManager
extends Object
implements LockManager

Abstract `LockManager` implementation.

Field Summary
`protected Log` | `log` Runtime log to write locking messages to.
`protected KodoPersistenceManager` | `pm` The PersistenceManager against which this LockManager is operating.

Constructor Summary
`AbstractLockManager()`

Method Summary
`void` | `beginTransaction()` Does nothing by default.
`void` | `close()` Does nothing by default.
`void` | `endTransaction()` Does nothing by default.
`KodoPersistenceManager` | `getPersistenceManager()`
`void` | `lockAll(Collection sms, int level, int timeout, Object context)` Delegates to `LockManager.lock(kodo.runtime.KodoStateManager, int, int, java.lang.Object)` with each element of the collection.
`void` | `setPersistenceManager(KodoPersistenceManager kpm)` Set the persistence manager this lock manager is associated with.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kodo.runtime.LockManager
`getLockLevel, lock, release`

Field Detail

### pm

    protected KodoPersistenceManager pm

  The PersistenceManager against which this LockManager is operating.

### log

    protected Log log

  Runtime log to write locking messages to.

Constructor Detail

### AbstractLockManager

    public AbstractLockManager()

Method Detail

### setPersistenceManager

    public void setPersistenceManager(KodoPersistenceManager kpm)

  Description copied from interface: `LockManager`
  Set the persistence manager this lock manager is associated with. This will be invoked in the lock manager before any other methods are called.
  Specified by:
    `setPersistenceManager` in interface `LockManager`

### getPersistenceManager

    public KodoPersistenceManager getPersistenceManager()

### lockAll

    public void lockAll(Collection sms,
                        int level,
                        int timeout,
                        Object context)

  Delegates to `LockManager.lock(kodo.runtime.KodoStateManager, int, int, java.lang.Object)` with each element of the collection.
  Specified by:
    `lockAll` in interface `LockManager`
  Following copied from interface: `kodo.runtime.LockManager`
  See Also:
    `LockManager.lock(kodo.runtime.KodoStateManager, int, int, java.lang.Object)`

### beginTransaction

    public void beginTransaction()

  Does nothing by default.
  Specified by:
    `beginTransaction` in interface `LockManager`

### endTransaction

    public void endTransaction()

  Does nothing by default.
  Specified by:
    `endTransaction` in interface `LockManager`

### close

    public void close()

  Does nothing by default.
  Specified by:
    `close` in interface `LockManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.